OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelTransfer

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data PixelTransferStage

Constructors

PreConvolution |
PostConvolution |
PostColorMatrix |

Instances

Eq PixelTransferStage |
Ord PixelTransferStage |
Show PixelTransferStage |

mapColor :: StateVar Capability

mapStencil :: StateVar Capability

indexShift :: StateVar GLint

indexOffset :: StateVar GLint

depthScale :: StateVar GLfloat

depthBias :: StateVar GLfloat

rgbaScale :: PixelTransferStage -> StateVar (Color4 GLfloat)

rgbaBias :: PixelTransferStage -> StateVar (Color4 GLfloat)